{% extends 'root.html' %}
{% load i18n microsocial %}

{% block context %}
    <div class="container">
        <div class="row">
            <div class="col-sm-4">
                <ul style="list-style-type:none">
                  <li><a href="{% url 'friends' %}">{% trans 'друзья'|capfirst %}</a></li>
                  <li><a href="{% url 'incoming' %}">{% trans 'входящие заявки'|capfirst %}</a></li>
                  <li><a href="{% url 'outcoming' %}">{% trans 'исходящие заявки'|capfirst %}</a></li>
                </ul>
            </div>
            <div class="col-sm-8">
                <h1>{% trans 'входящие заявки'|capfirst %}</h1>
                {% include 'show_messages.html' %}
                {% for friend in friends %}
                    <div class="row">
                        <div class="col-sm-2">
                            <img src="{{ friend|get_avatar }}" height="100px" width="100px" />
                        </div>
                        <div class="col-sm-10">
                            <a href="{% url 'profile' friend.pk %}">{{ friend.get_full_name }}</a>
                            <form method="post" action="{% url 'action_users' %}">
                                {% csrf_token %}
                                <input type="hidden" name="confirm" value="{{ friend.pk }}">
                                <input type="submit" style="margin-top: 10px" name="{{ 'confirm_'|add:friend.pk }}" value="{% trans 'подтвердить'|capfirst %}">
                            </form>
                             <form method="post" action="{% url 'action_users' %}">
                                 {% csrf_token %}
                                <input type="hidden" name="reject" value="{{ friend.pk }}">
                                <input type="submit" name="{{ 'reject_'|add:friend.pk }}" value="{% trans 'отклонить'|capfirst %}">
                            </form>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>
    {% show_paginator friends %}
{% endblock %}